;;; ---------------------------------------------------------------------
;;;
;;; Copyright (C) 2012 - Sergey Goldgaber
;;;
;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU Affero General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU Affero General Public License for more details.
;;;
;;; You should have received a copy of the GNU Affero General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;;
;;; ---------------------------------------------------------------------

(use proccpuinfo test)

(define (architecture-test)
  (proccpuinfo 'architecture filename: "cpuinfo.txt"))

(define (hardware-platform-test)
  (proccpuinfo 'hardware-platform filename: "cpuinfo.txt"))

(define (frequency-test)
  (proccpuinfo 'frequency filename: "cpuinfo.txt"))

(define (bogomips-test)
  (proccpuinfo 'bogomips filename: "cpuinfo.txt"))

(define (cache-test)
  (proccpuinfo 'cache filename: "cpuinfo.txt"))

(define (cpus-test)
  (proccpuinfo 'cpus filename: "cpuinfo.txt"))

(define (cputype-test)
  (proccpuinfo 'cputype filename: "cpuinfo.txt"))


(test-group "proccpuinfo from file"
  (test "AuthenticAMD" (hardware-platform-test))
  (test "This is being read in from a file." (architecture-test))
  (test 1808.827 (frequency-test))
  (test 3617.65  (bogomips-test))
  (test 512      (cache-test))
  (test 1        (cpus-test))
  (test #f       (cputype-test)))

(test-exit)
